Bug 731925 - openssh: formatting errors in manpages
Summary: openssh: formatting errors in manpages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssh
Version: 5.7
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Petr Lautrbach
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-19 05:37 UTC by Miroslav Vadkerti
Modified: 2012-11-05 15:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 06:12:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0237 normal SHIPPED_LIVE openssh bug fix and enhancement update 2012-02-20 15:07:34 UTC

Description Miroslav Vadkerti 2011-08-19 05:37:12 UTC
Description of problem:
Manual pages in openssh contain errors/warnings:

groff -m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
mdoc warning: list open at EOF!  A .Bl directive has no matching .El
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

groff -m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
mdoc warning: list open at EOF!  A .Bl directive has no matching .El
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

-m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
mdoc warning: list open at EOF!  A .Bl directive has no matching .El
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

groff -m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
mdoc error: .It without preceding .Bl (#1199)
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

groff -m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
mdoc warning: list open at EOF!  A .Bl directive has no matching .El
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

groff -m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
Not a \-mdoc command: .SH (#20)
Not a \-mdoc command: .SH (#22)
Not a \-mdoc command: .SH (#26)
Not a \-mdoc command: .PP (#31)
Not a \-mdoc command: .PP (#41)
Not a \-mdoc command: .PP (#49)
Not a \-mdoc command: .PP (#51)
Not a \-mdoc command: .PP (#53)
mdoc warning: Empty input line #63
Not a \-mdoc command: .SH (#64)
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

-m mdoc > /dev/null 2> /tmp/tmp.nPAvFE9507'
mdoc error: .It without preceding .Bl (#1199)
:: [   FAIL   ] :: File '/tmp/tmp.nPAvFE9507' should not contain '.*' 

Version-Release number of selected component (if applicable):
openssh-4.3p2-72.el5_7.5

Reproducer:
1. Run groff -m mdoc on openssh man pages

Actual results:
Errors/warnings

Expected results:
No errors warnings

Comment 7 errata-xmlrpc 2012-02-21 06:12:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0237.html


Note You need to log in before you can comment on or make changes to this bug.